//! Discord bot providing a subscription system to topics.
//! Powered by [`Serenity`]
//!
//! [`Serenity`]: https://github.com/serenity-rs/serenity

#![deny(missing_docs)]
#![deny(warnings)]

mod client;
mod database;
mod discord;
mod environment;

use client::Client;

#[tokio::main]
async fn main() {
    // Start the logger
    log4rs::init_file("log4rs_config.yaml", Default::default()).unwrap();

    let mut client = Client::new().await;

    client.start().await;
}
